package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class DrpSupplierEditStatusDTO {
   @ApiModelProperty("供应商id")
   private @NotNull(
   message = "供应商id不能为空 ^_^"
) Long supplierId;
   @ApiModelProperty("供应商状态(1-待审核,2-审核通过,3-禁用)")
   private @NotNull(
   message = "供应商状态不能为空 ^_^"
) Integer status;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }


   public String toString() {
      Long var10000 = this.getSupplierId();
      return "DrpSupplierEditStatusDTO(supplierId=" + var10000 + ", status=" + this.getStatus() + ")";
   }
}
